%define name lastfm-player
%define oname player
%define version 1.0.9.6
%define rel 1
%define build_debug 0

Summary: Last.fm web radio player
Name: %{name}
Version: %{version}
Release: %mkrel %rel
Epoch: 1
# svn://svn.audioscrobbler.net/client
Source0: http://83.142.226.211/player/lastfm-player-%version.tar.bz2
Source1: lastfm-icons.tar.gz
# gw these patches come from the unofficial Debian package at:
# http://klogwatch.sourceforge.net/lastfm/
# Fix some misconfigured makefiles
Patch0:  lastfm-1.0.9.6-00_build.diff
# Don't build iTunes related stuff
Patch2:  lastfm-1.0.9.6-02_noitunes.diff
# Single Click in tray icon shows/hides the main window
Patch3:  lastfm-1.0.9.6-10_tray.diff
# Increase max history items from 9 to 50
Patch4:  lastfm-1.0.9.6-11_history.diff
# Add love and ban items to Recently Played context menu
Patch5:  lastfm-1.0.9.6-12_loveban.diff
# Use a new alsaaudio plugin based on xmms
Patch6:  lastfm-1.0.9.6-13_alsa.diff
# Always show the timebar and song countdown
Patch7:  lastfm-1.0.9.6-14_timebar.diff
# Possible scrobble fix. We need to send the "disable scrobbling" signal 
# just a wee bit later
Patch8:  lastfm-1.0.9.6-15_scrobble.diff
# Put an option in Options->Connection that explicitly sets which browser
# the client uses
Patch9:  lastfm-1.0.9.6-16_select-browser.diff
# show all words in multi-word draglabels
Patch10: lastfm-1.0.9.6-17_draglabel.diff
# Fix a few memory leaks that valgrind reported
Patch11: lastfm-1.0.9.6-18_valgrind.diff
# fix another mem leak
Patch12: lastfm-1.0.9.6-19_delete-http.diff
# Don't check or download updates
Patch13: lastfm-1.0.9.6-20_noupdates.diff
License: GPL
Group: Sound
Url: http://www.last.fm/help/player/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: qt4-devel
BuildRequires: libalsa-devel
Provides: player
Obsoletes: player

%description
This is the custom radio player program for last.fm, formerly known as
audioscrobbler.com.

%prep
%setup -q -a 1
%patch0 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1

chmod -R +r .
perl -pi -e "s|\r\n|\n|" ChangeLog

%build
%if %build_debug
%_prefix/lib/qt4/bin/qmake
%else
%_prefix/lib/qt4/bin/qmake CONFIG-=debug
%endif
make CXX="g++ -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot{%_bindir,%_libdir/}
cp -r bin %buildroot%_libdir/%name
cat << EOF > %buildroot%_bindir/%name
#!/bin/sh
%if %build_debug
%_libdir/%name/lastfm_debug.sh \$*
%else
%_libdir/%name/lastfm.sh \$*
%endif
EOF
install -d -m 755 $RPM_BUILD_ROOT%_datadir/services 
cat > $RPM_BUILD_ROOT%_datadir/services/lastfm.protocol << EOF
[Protocol]
 exec=%_bindir/%name "%u"
 protocol=lastfm
 input=none
 output=none
 helper=true
 listing=
 reading=false
 writing=false
 makedir=false
 deleting=false
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Last.FM Player
Comment=Play the last.fm internet radio
Exec=%name %U
Icon=lastfm
Terminal=false
Type=Application
StartupNotify=true
Categories=Audio;Player;X-MandrivaLinux-Multimedia-Sound;
EOF

mkdir -p %buildroot%_datadir/icons
cp -r icons/crystalsvg %buildroot%_datadir/icons/hicolor
find %buildroot -name .svn |xargs rm -rf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%update_icon_cache hicolor

%postun
%clean_menus
%clean_icon_cache hicolor

%files
%defattr(-,root,root)
%doc ChangeLog faq.txt HACKING TODO 
%attr(755,root,root) %_bindir/%name
%_datadir/applications/mandriva-*
%_datadir/icons/hicolor/*/apps/lastfm*
%_libdir/%name
%_datadir/services/lastfm.protocol


%changelog
* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 1.0.9.6-1mdv2007.0
+ Revision: 112420
- Import lastfm-player



* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 1.0.9.6-1mdv2007.1
- synchronize patches with Debian
- new version

* Wed Aug  2 2006 Götz Waschk <waschk@mandriva.org> 1.0.0.1-0.2113.2mdv2007.0
- fix crash on play by switching to oss

* Mon Jul 24 2006 Götz Waschk <waschk@mandriva.org> 1:1.0.0.1-0.2113.1mdv2007.0
- drop patch
- new version

* Wed Jun 28 2006 Götz Waschk <waschk@mandriva.org> 1.1.90-0.2099.3mdv2007.0
- fix xdg menu

* Tue Jun 27 2006 Götz Waschk <waschk@mandriva.org> 1.1.90-0.2099.2mdv2007.0
- fix build with gcc 4.1
- xdg menu

* Thu Apr  6 2006 Götz Waschk <waschk@mandriva.org> 1.1.90-0.2099.1mdk
- drop patch
- change license to GPL
- new snapshot

* Fri Feb 10 2006 Götz Waschk <waschk@mandriva.org> 1.1.5-0.1988.1mdk
- fix build on x86_64
- new version

* Tue Jan 31 2006 Götz Waschk <waschk@mandriva.org> 1.1.4-0.1933.1mdk
- new version

* Tue Dec 20 2005 Götz Waschk <waschk@mandriva.org> 1.1.3-0.1907.1mdk
- new version

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 1.1.1-0.1892.3mdk
- fix buildrequires

* Sun Dec 11 2005 Anssi Hannula <anssi.hannula@gmail.com> 1.1.1-0.1892.2mdk
- fix lib64 build

* Wed Dec  7 2005 Götz Waschk <waschk@mandriva.org> 1.1.1-0.1892.1mdk
- fix build
- ne version

* Fri Sep 30 2005 Götz Waschk <waschk@mandriva.org> 1.0.4-1mdk
- New release 1.0.4

* Thu Aug 25 2005 Götz Waschk <waschk@mandriva.org> 1.0.3-1mdk
- new version

* Mon Aug 15 2005 Götz Waschk <waschk@mandriva.org> 1.0.1-1mdk
- fix qmake call
- fix the version number

* Fri Aug 12 2005 Götz Waschk <waschk@mandriva.org> 0-0.20050812.4mdk
- fix the program icons

* Fri Aug 12 2005 Götz Waschk <waschk@mandriva.org> 0-0.20050812.3mdk
- add KDE protocol handler (Nick Brown)

* Fri Aug 12 2005 Götz Waschk <waschk@mandriva.org> 0-0.20050812.2mdk
- rename from player

* Fri Aug 12 2005 Götz Waschk <waschk@mandriva.org> 0-0.20050812.1mdk
- initial package
